Create a request

View as Markdown
Creates a request in a collection. For a complete list of properties, refer to the **Request** entry in the [Postman Collection Format documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html). **Note:** It is recommended that you pass the `name` property in the request body. If you do not, the system uses a null value. As a result, this creates a request with a blank name.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

collectionIdstringRequired
The collection's ID.

Query parameters

folderstringOptional
The folder ID in which to create the request. By default, the system creates the request at the collection level.

Request

This endpoint expects an object.
namestringOptional

The request’s name. It is recommended that you pass the name property in the request body. If you do not, the system uses a null value. As a result, this creates a request with a blank name.

descriptionstring or nullOptional
The request's description.
methodenumOptional
The request's HTTP method.
urlstring or nullOptional
The request's URL.
headerDatalist of objectsOptional
The request's headers.
queryParamslist of objectsOptional
The request's query parameters.
dataModeenumOptional
The request body's data mode.
datalist of objectsOptional
The request body's form or urlencoded data.
rawModeDatastring or nullOptional
The request body's raw mode data.
graphqlModeDataobjectOptional
The request body's GraphQL mode data.
dataOptionsobjectOptional
Additional options for the request body data.
authobjectOptional
The request's authorization settings.
eventslist of objectsOptional

The request’s pre-request and test scripts.

Response

Successful Response
dataobjectOptional

Information about the created request. For a complete list of properties, refer to the Request entry in the Postman Collection Format documentation.

metamap from strings to anyOptional

A Postman-specific response that contains information about the internal performed operation.

model_idstringOptional
The request's ID.
revisiondoubleOptional
An internal revision ID. Its value increments each time the resource changes. You can use this ID to track whether there were changes since the last time you fetched the resource.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error